> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new warehouse

> Creates a new warehouse with the specified name, slug, address, and optional market associations. The warehouse can be marked as available online and linked to one or more markets.



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/warehouses
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/warehouses:
    post:
      tags:
        - Warehouses
      summary: Create a new warehouse
      description: >-
        Creates a new warehouse with the specified name, slug, address, and
        optional market associations. The warehouse can be marked as available
        online and linked to one or more markets.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/internal_pkg_webserver_v1.InputWarehouse'
      responses:
        '200':
          description: Warehouse created successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseWarehouse
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputWarehouse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.InputWarehouse'
      description: Warehouse data
      required: true
  schemas:
    internal_pkg_webserver_v1.OkResponseWarehouse:
      properties:
        data:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.WarehouseWithMarkets'
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputWarehouse:
      properties:
        address:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.InputWarehouseAddress'
        available_online:
          default: true
          type: boolean
        markets:
          items:
            type: string
          type: array
        name:
          type: string
        slug:
          type: string
      required:
        - address
        - name
        - slug
      type: object
    internal_pkg_webserver_v1.WarehouseWithMarkets:
      properties:
        address:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.WarehouseAddress'
        app_id:
          type: string
        available_online:
          type: boolean
        created_at:
          type: string
        id:
          type: string
        markets:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
          type: array
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object
    internal_pkg_webserver_v1.InputWarehouseAddress:
      properties:
        city:
          type: string
        country:
          description: >-
            Country value needs to follow ISO3166_1_alpha2, which means we want
            a country value written in alpha-2 two-letter country codes,
            Example: SE or FI
          type: string
        postal_code:
          type: string
        state:
          type: string
        street_address:
          type: string
      required:
        - city
        - country
        - postal_code
        - state
        - street_address
      type: object
    internal_pkg_webserver_v1.WarehouseAddress:
      properties:
        city:
          type: string
        country:
          description: >-
            Country value needs to follow ISO3166_1_alpha2, which means we want
            a country value written in alpha-2 two-letter country codes,
            Example: SE or FI
          type: string
        postal_code:
          type: string
        state:
          type: string
        street_address:
          type: string
      required:
        - country
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Market:
      properties:
        active:
          type: boolean
        country_codes:
          items:
            type: string
          type: array
        created_at:
          type: string
        currency_code:
          type: string
        id:
          type: string
        locale:
          type: string
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object

````